#ifndef __track__media_h
#define __track__media_h
#include "core/filesystem.h"
#include <unordered_map>

namespace Track {
namespace Media {

Filesystem::Path GetCurrentPlaying();
std::unordered_map<std::string, std::string> GetFileElements(std::string basename);
std::unordered_map<std::string, std::string> GetFileElements(Filesystem::Path path);

} // namespace Media
} // namespace Track

#endif // __track__media_h
